# SourcePath: less/20240712dev
Summary: A file pager program, similar to more(1)
Name: sony-target-dev-less
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-less
Version: 416
Release: 12010002
License: Less or GPL2
URL: http://www.greenwoodsoftware.com/less/
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Source: less-%{version}.tar.gz
Patch : less-%{version}-diff
Patch1: less-install-%{version}.patch
Patch2: less-416-CVE-2024-32487.patch
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}
%define targetroot %{sony_target_dir}

%define _bindir		%{targetroot}%{sony_target_dev_bin_dir}
%define _libdir		%{targetroot}%{sony_target_dev_lib_dir}
%define _mandir		%{targetroot}%{sony_target_dev_man_dir}
%define _docdir		%{targetroot}%{sony_target_dev_doc_dir}

%description
Less is a program similar to more (1), but which allows backward
movement in the file as well as forward movement.  Also, less does not
have to read the entire input file before starting, so with large input
files it starts up faster than text editors like vi (1).  Less uses
termcap (or terminfo on some systems), so it can run on a variety of
terminals.  There is even limited support for hardcopy terminals.

%package -n %{pkgname}
Summary: A file pager program, similar to more(1)
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
Less is a program similar to more (1), but which allows backward
movement in the file as well as forward movement.  Also, less does not
have to read the entire input file before starting, so with large input
files it starts up faster than text editors like vi (1).  Less uses
termcap (or terminfo on some systems), so it can run on a variety of
terminals.  There is even limited support for hardcopy terminals.

%prep
%setup -q -n less-%{version}
%patch -p1
%patch1 -p1
%patch2 -p1

%build
%sony_target_dev_setup
%sony_target_dev_configure

make

%install
rm -rf %{buildroot}
%sony_target_dev_setup
%sony_target_dev_makeinstall
cd ..

mkdir -p %{buildroot}%{_bindir}
install -d %{buildroot}%{_libdir}/mime/packages
install -m 755 debian/lessopen %{buildroot}%{_bindir}/lesspipe
install -m 644 debian/mime %{buildroot}%{_libdir}/mime/packages/less

mv %{buildroot}%{sony_target_dir}%{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/less* %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/
ln -s lesspipe %{buildroot}%{_bindir}/lessfile

rm -rf %{buildroot}%{sony_target_dir}%{buildroot}%{sony_target_dir}%{sony_target_dev_sharedstate_dir}/man

%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root,-)
%{sony_target_dir}%{sony_target_dev_bin_dir}/less
%{sony_target_dir}%{sony_target_dev_bin_dir}/lessecho
%{sony_target_dir}%{sony_target_dev_bin_dir}/lessfile
%{sony_target_dir}%{sony_target_dev_bin_dir}/lesskey
%{sony_target_dir}%{sony_target_dev_bin_dir}/lesspipe
%{sony_target_dir}%{sony_target_dev_lib_dir}/mime/packages/less

%changelog
* Fri Jul 12 2024 Sony Group Corporation
- Added fix for CVE-2024-32487

* Mon May 10 2021 Sony Corporation
- Initial build for CE Linux 12.1.0.X

* Tue Nov 26 2019 Sony Corporation
- Rebuilded for Ncurses version-up

* Thu Mar 28 2013 Sony Corporation
- Version update to 416

* Fri Mar 02 2007 Sony Corporation
- Version update to 394

* Thu Nov 18 2004 Sony Corporation
- delete online manual

* Fri Aug 27 2004 Sony Corporation - 358-1
- Conformed to 20040825-rule

* Fri Aug  6 2004 Sony Corporation - dev-less
- Initial build.
